// ----------------------------------------------------------------------------
//    STM8
// -1.3 " "
//     1 Hz    
// : Eugeny Monastyrev
//  STM8 Discovery, CLK=16MHz
//
// main.c     IAR, Cosmic, Raisonance
//      STMicroelectronics
//     stm8s.h  stm8s_type.h  .
//   stm8s.h    #define USE_STDPERIPH_DRIVER
// ----------------------------------------------------------------------------

#include "stm8s105c6.h"
#include <intrins.h>

#define LED_BIT 0           // Discovery    PD0,   - 0

int Timer1;


void TIM4_IRQ_Handler(void) interrupt 23      // Raisonance       ST
	{
		TIM4_SR &= ~(1<<0);     //  
		if(Timer1) Timer1--;       // 
	}

void main( void )
{
  // CLK
  CLK_ECKR |= (1<<0);	 //     HSEEN=1
	while (!(CLK_ECKR & (1<<1)));//    
  CLK_SWCR |= (1<<1); //   
  CLK_SWR = 0xB4;			 //      
	while(CLK_CMSR!=0xB4);//   
	CLK_CKDIVR = 0;			 //  =1
	
  // GPIO
	PD_DDR |= (1<<0);		 // D0    PD_DDR.0=1
	PD_CR1 &= (~(1<<0)); //    
	

  // TIM4
	TIM4_SR &= ~(1<<0);    //  
  TIM4_PSCR=0x07;        //  2^7=128   16000000/128 = 125000 Hz
  TIM4_ARR=250;          //     125000 / 250 = 500 Hz
  TIM4_IER |= (1<<0);    //    
	TIM4_CR1 |= (1<<0);    // 

	_rim_();
  // 
  Timer1=250;                //500 / 250 = 2 Hz (500 )
  while(1)
  {
    if(!Timer1)              // 500 ?
    {
      Timer1=250;            //500 / 250 = 2 Hz (500 )
			PD_ODR ^= (1<<0);	 //  
		}
  }
}


